Bug 798947 - [RFE] Support device block size of 4096 bytes
[RFE] Support device block size of 4096 bytes
Status: NEW
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
---
x86_64 Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Allon Mureinik
Raz Tamir
: FutureFeature
: 1459855 (view as bug list)
Depends On:
Blocks: 1364869
  Show dependency treegraph
 
Reported: 2012-03-01 05:58 EST by Ilya Knyazev
Modified: 2017-06-12 05:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1364869 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ilya Knyazev 2012-03-01 05:58:31 EST
Description of problem:
If you use iSCSI storage with the SATA drives in the Advanced Format is not connected to the data center storage

Version-Release number of selected component (if applicable):
Fedora core 16 whith Ovirt Engine, ovirt-node-image-2.2.3-1.1.fc16 in Nodes. Open-E Data Storage whith 4*2Tb Western Digital RE HDDs

How reproducible:


Steps to Reproduce:
1. Create iSCSI partition in open-e
2. Attach iScsi target in Datacentre
3. Error log message: Failed in vdscommand to CreateVGVDS, error = Device block size is not supported: 'logblksize=512 phyblksize=4096'
  
Actual results: Error, iSCSI storage not connected

Expected results: Connected iSCSI storage
Comment 1 Dave Neary 2013-03-07 12:06:39 EST
Hi Ilya,

This issue has previously been reported against Red Hat Enterprise Virtualization. It has been classified as a "request for enhancement" there - and will be prioritised as such for a future release.

Thanks for your report!
Dave.
Comment 2 Itamar Heim 2013-03-08 02:45:51 EST
there is using 4k mode, and being able to work with them which iirc was already fixed in a later version than node you are using.
ayal?
Comment 3 Ayal Baron 2013-03-09 15:31:14 EST
(In reply to comment #2)
> there is using 4k mode, and being able to work with them which iirc was
> already fixed in a later version than node you are using.
> ayal?


We do not yet support using devices with a logical block size > 512B
Comment 6 Allon Mureinik 2017-06-12 05:14:08 EDT
*** Bug 1459855 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.